<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('shop_goods_receipt_items', function (Blueprint $table) {
            $table->dropIndex(['local_product_code']);
            $table->text('local_product_code')->nullable()->change();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('shop_goods_receipt_items', function (Blueprint $table) {
            $table->string('local_product_code', 255)->nullable()->change();
            $table->index('local_product_code');
        });
    }
};
